iPod touchの初代を貰ってみたものの

iOS3.1.3以上に上がらない仕様なんですが、「ファーム入れ替えすればいけるんじゃない?」という淡い期待とともに
Whited00r EN | iOS Community Custom Firmware
を入れてみたのですが、基本的にはiOS3でapp storeでもキッチリiOS4以上要求されます。
やはり余生は音楽プレイヤーとブラウザとして生きて行かせるしか無いのでしょうか。カメラも無いしね。